
package gov.niem.niem.domains.jxdm._4;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import gov.niem.niem.ansi_d20._2.CourtCategoryCodeType;
import gov.niem.niem.fbi._2.CMCCodeType;
import gov.niem.niem.fbi._2.EXLCodeType;
import gov.niem.niem.fbi._2.MNUCodeType;
import gov.niem.niem.fbi._2.OFFCodeType;
import gov.niem.niem.niem_core._2.ActivityDocumentAssociationType;
import gov.niem.niem.niem_core._2.ActivityPersonAssociationType;
import gov.niem.niem.niem_core._2.AmountType;
import gov.niem.niem.niem_core._2.BiometricType;
import gov.niem.niem.niem_core._2.DateType;
import gov.niem.niem.niem_core._2.EntityType;
import gov.niem.niem.niem_core._2.IdentificationType;
import gov.niem.niem.niem_core._2.JurisdictionType;
import gov.niem.niem.niem_core._2.LocationType;
import gov.niem.niem.niem_core._2.ObligationType;
import gov.niem.niem.niem_core._2.OrganizationType;
import gov.niem.niem.niem_core._2.StatusType;
import gov.niem.niem.niem_core._2.TextType;
import gov.niem.niem.structures._2.ReferenceType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the gov.niem.niem.domains.jxdm._4 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CaseAugmentation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CaseAugmentation");
    private final static QName _PersonEmancipationDate_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "PersonEmancipationDate");
    private final static QName _Bond_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "Bond");
    private final static QName _ChargeEnhancingFactorStatusText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeEnhancingFactorStatusText");
    private final static QName _JudicialOfficialRegistrationIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "JudicialOfficialRegistrationIdentification");
    private final static QName _CourtOrderRequestReasonText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CourtOrderRequestReasonText");
    private final static QName _ChargeStatute_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeStatute");
    private final static QName _IncidentInformantAssociation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "IncidentInformantAssociation");
    private final static QName _ChargeSanction_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeSanction");
    private final static QName _ChargeApplicabilityText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeApplicabilityText");
    private final static QName _ActivityOriginatingDocumentAssociation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ActivityOriginatingDocumentAssociation");
    private final static QName _BailSetAmount_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "BailSetAmount");
    private final static QName _SanctionSetObligation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "SanctionSetObligation");
    private final static QName _ActivityDocumentValidator_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ActivityDocumentValidator");
    private final static QName _StatuteDescriptionText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "StatuteDescriptionText");
    private final static QName _PersonPalmPrint_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "PersonPalmPrint");
    private final static QName _PersonNameAugmentation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "PersonNameAugmentation");
    private final static QName _PersonFBIIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "PersonFBIIdentification");
    private final static QName _StatuteKeywordText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "StatuteKeywordText");
    private final static QName _PersonAFISIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "PersonAFISIdentification");
    private final static QName _WarrantExtraditionLimitation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "WarrantExtraditionLimitation");
    private final static QName _ChargeNCICCode_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeNCICCode");
    private final static QName _ChargeEnhancingFactorDescriptionText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeEnhancingFactorDescriptionText");
    private final static QName _JudicialOfficialBarIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "JudicialOfficialBarIdentification");
    private final static QName _CourtOrderDesignatedOrganization_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CourtOrderDesignatedOrganization");
    private final static QName _JurisdictionDistrictText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "JurisdictionDistrictText");
    private final static QName _ActivityChargeAssociation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ActivityChargeAssociation");
    private final static QName _ChargeDisposition_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeDisposition");
    private final static QName _ChargeTrackingIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeTrackingIdentification");
    private final static QName _CaseCourt_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CaseCourt");
    private final static QName _OrganizationJurisdiction_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "OrganizationJurisdiction");
    private final static QName _WarrantExtraditionLimitationText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "WarrantExtraditionLimitationText");
    private final static QName _Subject_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "Subject");
    private final static QName _ChargeText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeText");
    private final static QName _ChargeSeverityText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeSeverityText");
    private final static QName _ActivityCaseAssociation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ActivityCaseAssociation");
    private final static QName _WarrantExtraditionLimitationCode_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "WarrantExtraditionLimitationCode");
    private final static QName _ChargeQualifierText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeQualifierText");
    private final static QName _CourtOrderServiceRestrictionText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CourtOrderServiceRestrictionText");
    private final static QName _StatuteEnactmentDate_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "StatuteEnactmentDate");
    private final static QName _CourtOrderRequestEntity_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CourtOrderRequestEntity");
    private final static QName _BailConditionDescriptionText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "BailConditionDescriptionText");
    private final static QName _OrganizationORIIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "OrganizationORIIdentification");
    private final static QName _PersonIDCategoryCode_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "PersonIDCategoryCode");
    private final static QName _WarrantAppearanceBail_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "WarrantAppearanceBail");
    private final static QName _CourtName_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CourtName");
    private final static QName _StatuteCodeSectionIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "StatuteCodeSectionIdentification");
    private final static QName _ChargeEnhancingFactorText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeEnhancingFactorText");
    private final static QName _StatuteCodeIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "StatuteCodeIdentification");
    private final static QName _OrganizationAugmentation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "OrganizationAugmentation");
    private final static QName _ChargeReference_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeReference");
    private final static QName _SubjectDetainmentLocation_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "SubjectDetainmentLocation");
    private final static QName _ChargeEnhancingFactorReferenceDate_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeEnhancingFactorReferenceDate");
    private final static QName _ChargeIdentification_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeIdentification");
    private final static QName _StatuteText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "StatuteText");
    private final static QName _SubjectCautionInformationCode_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "SubjectCautionInformationCode");
    private final static QName _CourtDivisionText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CourtDivisionText");
    private final static QName _ChargeDescriptionText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeDescriptionText");
    private final static QName _ChargeSequenceID_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeSequenceID");
    private final static QName _Warrant_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "Warrant");
    private final static QName _ArrestAgency_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ArrestAgency");
    private final static QName _BondConditionDescriptionText_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "BondConditionDescriptionText");
    private final static QName _CourtCategoryCode_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "CourtCategoryCode");
    private final static QName _JudicialOfficialBarMembership_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "JudicialOfficialBarMembership");
    private final static QName _ChargeStatus_QNAME = new QName("http://niem.gov/niem/domains/jxdm/4.0", "ChargeStatus");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.niem.niem.domains.jxdm._4
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SubjectType }
     * 
     */
    public SubjectType createSubjectType() {
        return new SubjectType();
    }

    /**
     * Create an instance of {@link SanctionType }
     * 
     */
    public SanctionType createSanctionType() {
        return new SanctionType();
    }

    /**
     * Create an instance of {@link CourtType }
     * 
     */
    public CourtType createCourtType() {
        return new CourtType();
    }

    /**
     * Create an instance of {@link BailType }
     * 
     */
    public BailType createBailType() {
        return new BailType();
    }

    /**
     * Create an instance of {@link ChargeDispositionType }
     * 
     */
    public ChargeDispositionType createChargeDispositionType() {
        return new ChargeDispositionType();
    }

    /**
     * Create an instance of {@link StatuteType }
     * 
     */
    public StatuteType createStatuteType() {
        return new StatuteType();
    }

    /**
     * Create an instance of {@link OrganizationAugmentationType }
     * 
     */
    public OrganizationAugmentationType createOrganizationAugmentationType() {
        return new OrganizationAugmentationType();
    }

    /**
     * Create an instance of {@link ActivityChargeAssociationType }
     * 
     */
    public ActivityChargeAssociationType createActivityChargeAssociationType() {
        return new ActivityChargeAssociationType();
    }

    /**
     * Create an instance of {@link CaseAugmentationType }
     * 
     */
    public CaseAugmentationType createCaseAugmentationType() {
        return new CaseAugmentationType();
    }

    /**
     * Create an instance of {@link BondType }
     * 
     */
    public BondType createBondType() {
        return new BondType();
    }

    /**
     * Create an instance of {@link ActivityCaseAssociationType }
     * 
     */
    public ActivityCaseAssociationType createActivityCaseAssociationType() {
        return new ActivityCaseAssociationType();
    }

    /**
     * Create an instance of {@link JudicialOfficialBarMembershipType }
     * 
     */
    public JudicialOfficialBarMembershipType createJudicialOfficialBarMembershipType() {
        return new JudicialOfficialBarMembershipType();
    }

    /**
     * Create an instance of {@link PersonNameAugmentationType }
     * 
     */
    public PersonNameAugmentationType createPersonNameAugmentationType() {
        return new PersonNameAugmentationType();
    }

    /**
     * Create an instance of {@link WarrantType }
     * 
     */
    public WarrantType createWarrantType() {
        return new WarrantType();
    }

    /**
     * Create an instance of {@link ChargeType }
     * 
     */
    public ChargeType createChargeType() {
        return new ChargeType();
    }

    /**
     * Create an instance of {@link ActivityAugmentationType }
     * 
     */
    public ActivityAugmentationType createActivityAugmentationType() {
        return new ActivityAugmentationType();
    }

    /**
     * Create an instance of {@link JurisdictionAugmentationType }
     * 
     */
    public JurisdictionAugmentationType createJurisdictionAugmentationType() {
        return new JurisdictionAugmentationType();
    }

    /**
     * Create an instance of {@link JudicialOfficialType }
     * 
     */
    public JudicialOfficialType createJudicialOfficialType() {
        return new JudicialOfficialType();
    }

    /**
     * Create an instance of {@link ChargeEnhancingFactorType }
     * 
     */
    public ChargeEnhancingFactorType createChargeEnhancingFactorType() {
        return new ChargeEnhancingFactorType();
    }

    /**
     * Create an instance of {@link PersonAugmentationType }
     * 
     */
    public PersonAugmentationType createPersonAugmentationType() {
        return new PersonAugmentationType();
    }

    /**
     * Create an instance of {@link CourtOrderType }
     * 
     */
    public CourtOrderType createCourtOrderType() {
        return new CourtOrderType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CaseAugmentationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CaseAugmentation", substitutionHeadNamespace = "http://niem.gov/niem/structures/2.0", substitutionHeadName = "Augmentation")
    public JAXBElement<CaseAugmentationType> createCaseAugmentation(CaseAugmentationType value) {
        return new JAXBElement<CaseAugmentationType>(_CaseAugmentation_QNAME, CaseAugmentationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DateType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "PersonEmancipationDate")
    public JAXBElement<DateType> createPersonEmancipationDate(DateType value) {
        return new JAXBElement<DateType>(_PersonEmancipationDate_QNAME, DateType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BondType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "Bond")
    public JAXBElement<BondType> createBond(BondType value) {
        return new JAXBElement<BondType>(_Bond_QNAME, BondType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeEnhancingFactorStatusText")
    public JAXBElement<TextType> createChargeEnhancingFactorStatusText(TextType value) {
        return new JAXBElement<TextType>(_ChargeEnhancingFactorStatusText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "JudicialOfficialRegistrationIdentification")
    public JAXBElement<IdentificationType> createJudicialOfficialRegistrationIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_JudicialOfficialRegistrationIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CourtOrderRequestReasonText")
    public JAXBElement<TextType> createCourtOrderRequestReasonText(TextType value) {
        return new JAXBElement<TextType>(_CourtOrderRequestReasonText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatuteType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeStatute")
    public JAXBElement<StatuteType> createChargeStatute(StatuteType value) {
        return new JAXBElement<StatuteType>(_ChargeStatute_QNAME, StatuteType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActivityPersonAssociationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "IncidentInformantAssociation")
    public JAXBElement<ActivityPersonAssociationType> createIncidentInformantAssociation(ActivityPersonAssociationType value) {
        return new JAXBElement<ActivityPersonAssociationType>(_IncidentInformantAssociation_QNAME, ActivityPersonAssociationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SanctionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeSanction")
    public JAXBElement<SanctionType> createChargeSanction(SanctionType value) {
        return new JAXBElement<SanctionType>(_ChargeSanction_QNAME, SanctionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeApplicabilityText")
    public JAXBElement<TextType> createChargeApplicabilityText(TextType value) {
        return new JAXBElement<TextType>(_ChargeApplicabilityText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActivityDocumentAssociationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ActivityOriginatingDocumentAssociation")
    public JAXBElement<ActivityDocumentAssociationType> createActivityOriginatingDocumentAssociation(ActivityDocumentAssociationType value) {
        return new JAXBElement<ActivityDocumentAssociationType>(_ActivityOriginatingDocumentAssociation_QNAME, ActivityDocumentAssociationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AmountType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "BailSetAmount")
    public JAXBElement<AmountType> createBailSetAmount(AmountType value) {
        return new JAXBElement<AmountType>(_BailSetAmount_QNAME, AmountType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ObligationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "SanctionSetObligation")
    public JAXBElement<ObligationType> createSanctionSetObligation(ObligationType value) {
        return new JAXBElement<ObligationType>(_SanctionSetObligation_QNAME, ObligationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EntityType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ActivityDocumentValidator")
    public JAXBElement<EntityType> createActivityDocumentValidator(EntityType value) {
        return new JAXBElement<EntityType>(_ActivityDocumentValidator_QNAME, EntityType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "StatuteDescriptionText")
    public JAXBElement<TextType> createStatuteDescriptionText(TextType value) {
        return new JAXBElement<TextType>(_StatuteDescriptionText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "PersonPalmPrint")
    public JAXBElement<BiometricType> createPersonPalmPrint(BiometricType value) {
        return new JAXBElement<BiometricType>(_PersonPalmPrint_QNAME, BiometricType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonNameAugmentationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "PersonNameAugmentation", substitutionHeadNamespace = "http://niem.gov/niem/structures/2.0", substitutionHeadName = "Augmentation")
    public JAXBElement<PersonNameAugmentationType> createPersonNameAugmentation(PersonNameAugmentationType value) {
        return new JAXBElement<PersonNameAugmentationType>(_PersonNameAugmentation_QNAME, PersonNameAugmentationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "PersonFBIIdentification")
    public JAXBElement<IdentificationType> createPersonFBIIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_PersonFBIIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "StatuteKeywordText")
    public JAXBElement<TextType> createStatuteKeywordText(TextType value) {
        return new JAXBElement<TextType>(_StatuteKeywordText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "PersonAFISIdentification")
    public JAXBElement<IdentificationType> createPersonAFISIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_PersonAFISIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "WarrantExtraditionLimitation")
    public JAXBElement<Object> createWarrantExtraditionLimitation(Object value) {
        return new JAXBElement<Object>(_WarrantExtraditionLimitation_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OFFCodeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeNCICCode")
    public JAXBElement<OFFCodeType> createChargeNCICCode(OFFCodeType value) {
        return new JAXBElement<OFFCodeType>(_ChargeNCICCode_QNAME, OFFCodeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeEnhancingFactorDescriptionText")
    public JAXBElement<TextType> createChargeEnhancingFactorDescriptionText(TextType value) {
        return new JAXBElement<TextType>(_ChargeEnhancingFactorDescriptionText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "JudicialOfficialBarIdentification")
    public JAXBElement<IdentificationType> createJudicialOfficialBarIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_JudicialOfficialBarIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrganizationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CourtOrderDesignatedOrganization")
    public JAXBElement<OrganizationType> createCourtOrderDesignatedOrganization(OrganizationType value) {
        return new JAXBElement<OrganizationType>(_CourtOrderDesignatedOrganization_QNAME, OrganizationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "JurisdictionDistrictText")
    public JAXBElement<TextType> createJurisdictionDistrictText(TextType value) {
        return new JAXBElement<TextType>(_JurisdictionDistrictText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActivityChargeAssociationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ActivityChargeAssociation")
    public JAXBElement<ActivityChargeAssociationType> createActivityChargeAssociation(ActivityChargeAssociationType value) {
        return new JAXBElement<ActivityChargeAssociationType>(_ActivityChargeAssociation_QNAME, ActivityChargeAssociationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ChargeDispositionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeDisposition")
    public JAXBElement<ChargeDispositionType> createChargeDisposition(ChargeDispositionType value) {
        return new JAXBElement<ChargeDispositionType>(_ChargeDisposition_QNAME, ChargeDispositionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeTrackingIdentification")
    public JAXBElement<IdentificationType> createChargeTrackingIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_ChargeTrackingIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CourtType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CaseCourt")
    public JAXBElement<CourtType> createCaseCourt(CourtType value) {
        return new JAXBElement<CourtType>(_CaseCourt_QNAME, CourtType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JurisdictionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "OrganizationJurisdiction")
    public JAXBElement<JurisdictionType> createOrganizationJurisdiction(JurisdictionType value) {
        return new JAXBElement<JurisdictionType>(_OrganizationJurisdiction_QNAME, JurisdictionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "WarrantExtraditionLimitationText", substitutionHeadNamespace = "http://niem.gov/niem/domains/jxdm/4.0", substitutionHeadName = "WarrantExtraditionLimitation")
    public JAXBElement<TextType> createWarrantExtraditionLimitationText(TextType value) {
        return new JAXBElement<TextType>(_WarrantExtraditionLimitationText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SubjectType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "Subject")
    public JAXBElement<SubjectType> createSubject(SubjectType value) {
        return new JAXBElement<SubjectType>(_Subject_QNAME, SubjectType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeText")
    public JAXBElement<TextType> createChargeText(TextType value) {
        return new JAXBElement<TextType>(_ChargeText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeSeverityText")
    public JAXBElement<TextType> createChargeSeverityText(TextType value) {
        return new JAXBElement<TextType>(_ChargeSeverityText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActivityCaseAssociationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ActivityCaseAssociation")
    public JAXBElement<ActivityCaseAssociationType> createActivityCaseAssociation(ActivityCaseAssociationType value) {
        return new JAXBElement<ActivityCaseAssociationType>(_ActivityCaseAssociation_QNAME, ActivityCaseAssociationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EXLCodeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "WarrantExtraditionLimitationCode", substitutionHeadNamespace = "http://niem.gov/niem/domains/jxdm/4.0", substitutionHeadName = "WarrantExtraditionLimitation")
    public JAXBElement<EXLCodeType> createWarrantExtraditionLimitationCode(EXLCodeType value) {
        return new JAXBElement<EXLCodeType>(_WarrantExtraditionLimitationCode_QNAME, EXLCodeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeQualifierText")
    public JAXBElement<TextType> createChargeQualifierText(TextType value) {
        return new JAXBElement<TextType>(_ChargeQualifierText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CourtOrderServiceRestrictionText")
    public JAXBElement<TextType> createCourtOrderServiceRestrictionText(TextType value) {
        return new JAXBElement<TextType>(_CourtOrderServiceRestrictionText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DateType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "StatuteEnactmentDate")
    public JAXBElement<DateType> createStatuteEnactmentDate(DateType value) {
        return new JAXBElement<DateType>(_StatuteEnactmentDate_QNAME, DateType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EntityType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CourtOrderRequestEntity")
    public JAXBElement<EntityType> createCourtOrderRequestEntity(EntityType value) {
        return new JAXBElement<EntityType>(_CourtOrderRequestEntity_QNAME, EntityType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "BailConditionDescriptionText")
    public JAXBElement<TextType> createBailConditionDescriptionText(TextType value) {
        return new JAXBElement<TextType>(_BailConditionDescriptionText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "OrganizationORIIdentification")
    public JAXBElement<IdentificationType> createOrganizationORIIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_OrganizationORIIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MNUCodeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "PersonIDCategoryCode", substitutionHeadNamespace = "http://niem.gov/niem/niem-core/2.0", substitutionHeadName = "IdentificationCategory")
    public JAXBElement<MNUCodeType> createPersonIDCategoryCode(MNUCodeType value) {
        return new JAXBElement<MNUCodeType>(_PersonIDCategoryCode_QNAME, MNUCodeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BailType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "WarrantAppearanceBail")
    public JAXBElement<BailType> createWarrantAppearanceBail(BailType value) {
        return new JAXBElement<BailType>(_WarrantAppearanceBail_QNAME, BailType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CourtName")
    public JAXBElement<TextType> createCourtName(TextType value) {
        return new JAXBElement<TextType>(_CourtName_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "StatuteCodeSectionIdentification")
    public JAXBElement<IdentificationType> createStatuteCodeSectionIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_StatuteCodeSectionIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeEnhancingFactorText")
    public JAXBElement<TextType> createChargeEnhancingFactorText(TextType value) {
        return new JAXBElement<TextType>(_ChargeEnhancingFactorText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "StatuteCodeIdentification")
    public JAXBElement<IdentificationType> createStatuteCodeIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_StatuteCodeIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrganizationAugmentationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "OrganizationAugmentation", substitutionHeadNamespace = "http://niem.gov/niem/structures/2.0", substitutionHeadName = "Augmentation")
    public JAXBElement<OrganizationAugmentationType> createOrganizationAugmentation(OrganizationAugmentationType value) {
        return new JAXBElement<OrganizationAugmentationType>(_OrganizationAugmentation_QNAME, OrganizationAugmentationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReferenceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeReference")
    public JAXBElement<ReferenceType> createChargeReference(ReferenceType value) {
        return new JAXBElement<ReferenceType>(_ChargeReference_QNAME, ReferenceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LocationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "SubjectDetainmentLocation")
    public JAXBElement<LocationType> createSubjectDetainmentLocation(LocationType value) {
        return new JAXBElement<LocationType>(_SubjectDetainmentLocation_QNAME, LocationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DateType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeEnhancingFactorReferenceDate")
    public JAXBElement<DateType> createChargeEnhancingFactorReferenceDate(DateType value) {
        return new JAXBElement<DateType>(_ChargeEnhancingFactorReferenceDate_QNAME, DateType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeIdentification")
    public JAXBElement<IdentificationType> createChargeIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_ChargeIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "StatuteText")
    public JAXBElement<TextType> createStatuteText(TextType value) {
        return new JAXBElement<TextType>(_StatuteText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CMCCodeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "SubjectCautionInformationCode")
    public JAXBElement<CMCCodeType> createSubjectCautionInformationCode(CMCCodeType value) {
        return new JAXBElement<CMCCodeType>(_SubjectCautionInformationCode_QNAME, CMCCodeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CourtDivisionText")
    public JAXBElement<TextType> createCourtDivisionText(TextType value) {
        return new JAXBElement<TextType>(_CourtDivisionText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeDescriptionText")
    public JAXBElement<TextType> createChargeDescriptionText(TextType value) {
        return new JAXBElement<TextType>(_ChargeDescriptionText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeSequenceID")
    public JAXBElement<IdentificationType> createChargeSequenceID(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_ChargeSequenceID_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WarrantType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "Warrant")
    public JAXBElement<WarrantType> createWarrant(WarrantType value) {
        return new JAXBElement<WarrantType>(_Warrant_QNAME, WarrantType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrganizationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ArrestAgency")
    public JAXBElement<OrganizationType> createArrestAgency(OrganizationType value) {
        return new JAXBElement<OrganizationType>(_ArrestAgency_QNAME, OrganizationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "BondConditionDescriptionText")
    public JAXBElement<TextType> createBondConditionDescriptionText(TextType value) {
        return new JAXBElement<TextType>(_BondConditionDescriptionText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CourtCategoryCodeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "CourtCategoryCode")
    public JAXBElement<CourtCategoryCodeType> createCourtCategoryCode(CourtCategoryCodeType value) {
        return new JAXBElement<CourtCategoryCodeType>(_CourtCategoryCode_QNAME, CourtCategoryCodeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JudicialOfficialBarMembershipType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "JudicialOfficialBarMembership")
    public JAXBElement<JudicialOfficialBarMembershipType> createJudicialOfficialBarMembership(JudicialOfficialBarMembershipType value) {
        return new JAXBElement<JudicialOfficialBarMembershipType>(_JudicialOfficialBarMembership_QNAME, JudicialOfficialBarMembershipType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://niem.gov/niem/domains/jxdm/4.0", name = "ChargeStatus")
    public JAXBElement<StatusType> createChargeStatus(StatusType value) {
        return new JAXBElement<StatusType>(_ChargeStatus_QNAME, StatusType.class, null, value);
    }

}
